routes/web.php
    Route::get('content-liked', [HomeController::class,'content_liked'])->name('content-liked');
    Route::get('content-disliked', [HomeController::class,'content_disliked'])->name('content-disliked');
    Route::get('content-my-list', [HomeController::class,'content_my_list'])->name('content-my-list');
    Route::get('/notifications',[HomeController::class,'notifications'])->name('notifications');
});

    

//social login
Route::get('/facebook', [SocialLoginController::class, 'redirectToFacebook'])->name('facebook');
Route::get('/facebook/callback', [SocialLoginController::class, 'handleFacebookCallback']);
Route::get('auth/google', [SocialLoginController::class, 'redirectToGoogle'])->name('google');
Route::get('google/callback', [SocialLoginController::class, 'handleGoogleCallback']);


// apple login 
Route::get('auth/apple', [AppleSocialController::class, 'redirectToApple'])->name('apple');
Route::any('apple/callback', [AppleSocialController::class, 'handleCallback'])->name('apple.callback');

Route::get('/subscription/create', ['as'=>'home','uses'=>'SubscriptionController@index'])->name('subscription.create');
Route::post('order-post', ['as'=>'order-post','uses'=>'SubscriptionController@orderPost']);

Route::get('about-us', 'Api\DocumentController@about_us');
/*Route::get('contact-us', 'Api\DocumentController@contact_us');
Route::get('privacy-notice', 'Api\DocumentController@privacy_notice');
Route::get('term-of-service', 'Api\DocumentController@term_of_service');*/


Route::get('streaming', 'CommonController@streaming');

Route::post('add-channel-id', 'CommonController@add_channel_id');
Route::get('account-activation/{id}', 'CommonController@account_activation');
Route::any('create/password/{id}/{token}', 'CommonController@craete_password')->name('create.password');
Route::get('auth-account-activation/{id}', 'CommonController@auth_account_activation');

//Route::post('forgot/password', 'CommonController@forgot_password')->name('forgot_password');

Route::get('terms-conditions', 'CommonController@terms_conditions');
Route::get('privacy-policy', 'CommonController@privacy_policy');
Route::get('loyalty-reward-terms-condition', 'CommonController@loyalty_reward_terms_condition');
Route::get('logs/{id}', 'CommonController@activity_log');

Route::group(['namespace' => 'Admin', 'prefix' => 'admin', 'as' => 'admin.', 'middleware' => ['auth', 'admin']], function () {

    Route::get('profile', 'ProfileController@view')->name('profile');
    Route::post('profile-update/{id}', 'ProfileController@update')->name('profile.update');

    Route::post('change-password/{id}', 'ProfileController@changePassword')->name('change.password');

    Route::get('/contenttags/{type}', 'ExportController@contenttags')->name('contenttags.export');
    Route::get('/users/{type}', 'ExportController@users')->name('users.export');
    Route::get('/genres/{type}', 'ExportController@genres')->name('genres.export');
    Route::get('/casting/{type}', 'ExportController@casting')->name('casting.export');
    Route::get('/artists/{type}', 'ExportController@artists')->name('artists.export');
    Route::get('/age/{type}', 'ExportController@age')->name('age.export');
    Route::get('/plan_managment/{type}', 'ExportController@plan_managment')->name('plan_managment.export');
    Route::get('/plan_features/{type}', 'ExportController@plan_features')->name('plan_features.export');
    Route::get('/payment_records/{type}', 'ExportController@payment_records')->name('payment_records.export');
    Route::get('/contents/{type}', 'ExportController@contents')->name('contents.export');
    Route::get('/seasons/{type}', 'ExportController@seasons')->name('seasons.export');
    Route::get('/videos/{type}', 'ExportController@videos')->name('videos.export');
    Route::get('/faqs/{type}', 'ExportController@faqs')->name('faqs.export');
    Route::get('/feedbacks/{type}', 'ExportController@feedbacks')->name('feedbacks.export');
    Route::get('/multi_language_management/{type}', 'ExportController@multi_language_management')->name('multi_language_management.export');
    
    Route::get('dashboard', 'DashboardController@index')->name('dashboard');
    Route::get('s3bucket', 'DashboardController@s3bucket')->name('s3bucket');
    Route::get('support', 'DashboardController@support_chat')->name('support');
    Route::get('get_chat_history_data', 'DashboardController@get_chat_history_data')->name('get_chat_history_data');   
    Route::post('reply_chat', 'DashboardController@reply_chat')->name('reply_chat');   
    Route::get('users', 'UserController@index')->name('users.index');
    Route::get('users/show/{id}', 'UserController@show')->name('user.show');
    Route::get('users/edit/{id}', 'UserController@edit')->name('user.edit');
    Route::put('users/update/{id}', 'UserController@update')->name('user.update');
    Route::get('users/destroy/{id}', 'UserController@edit')->name('user.destroy');
    Route::post('active_deactive','UserController@active_deactive')->name('active_deactive');
    Route::post('restore_account','UserController@restore_account')->name('restore_account');

    Route::post('active_deactive_genre','CategoryController@active_deactive_genre')->name('active_deactive_genre');
      
    Route::resource('category',CategoryController::class);
    Route::resource('season',SeasonController::class);
    Route::resource('ratings',AgeRatingController::class);
    Route::resource('tags',TagController::class);
    
    Route::resource('artist',ArtistController::class);
    Route::resource('genre',GenreController::class);
    Route::resource('cast',CastTypeController::class);
    Route::resource('plan',PlanController::class);  
    Route::resource('currency',CurrencyController::class);  
    Route::resource('country',CountryController::class);  
    Route::resource('price',PriceController::class);  
    Route::resource('attribute',AttributeController::class);  
    Route::resource('contactus',ContactUsController::class);    
    Route::resource('issue',IssueController::class);    
    Route::resource('content',ContentController::class);    
    Route::resource('video',VideoController::class);    
    Route::resource('faq',FaqController::class);    
    Route::resource('feedback',FeedbackController::class);    
    Route::resource('ask-to-us',AskToUsController::class);    
    Route::resource('multilanguage',MultiLanguageKeyController::class);    
    Route::resource('payment_history',PaymentHistoryController::class);    

    // Route::get('tags', TagController::class,['names' => 'tags.export'])->only(['tagsExport']);
    // Route::get('tags/{type}', TagController::class,['names' => 'tags.export'])->only(['tagsExport']);
        
    Route::post('import', 'ContentController@import')->name('import');
    Route::any('adv_content_change', 'ContentController@adv_content_change')->name('adv_content_change');
    Route::any('movie_adv_content_change', 'ContentController@movie_adv_content_change')->name('movie_adv_content_change');
    Route::get('get_season_data', 'VideoController@get_season_data')->name('get_season_data');   
    Route::post('trailer_file_upload', 'ContentController@trailer_file_upload')->name('trailer_file_upload');   
    Route::post('chunk_file_upload', 'VideoController@chunk_file_upload')->name('chunk_file_upload');   
    Route::post('active_deactive_faq','FaqController@active_deactive_faq')->name('active_deactive_faq');

    Route::get('plan/manageattr/{id}', 'PlanController@manageattr')->name('plan.manageattr');   
    Route::post('plan/attr_update/{id}', 'PlanController@attr_update')->name('plan.attr_update');   
    
    Route::post('product/addstore/{id}', 'ProductController@addstore')->name('product.addstore');   
    Route::get('remove_product_store/{id}', 'ProductController@remove_product_store')->name('remove_product_store');   
    Route::post('save_product_store', 'ProductController@save_product_store')->name('save_product_store');   
    Route::post('active_deactive_product','ProductController@active_deactive_product')->name('active_deactive_product');
    Route::post('get_image','ProductController@get_image')->name('get_image');

    Route::post('order_notification_customer','OrderController@order_notification_customer')->name('order_notification_customer');
    
    Route::get('reported/issue','IssueController@reported_issue_index')->name('reported.issue');
    Route::get('bulk/notification',[NotificationController::class,'index'])->name('bulk.index');
    Route::post('bulk/notification',[NotificationController::class,'store'])->name('bulk.store');
    
    Route::get('system/config','SystemConfigController@index')->name('system.config');
    Route::post('system/config/submit','SystemConfigController@update')->name('system.config.submit');
    Route::post('system/config/backup','SystemConfigController@update')->name('system.config.backup');
    Route::post('system/config/download','SystemConfigController@update')->name('system.config.download');
    Route::post('system/config/delete_backup','SystemConfigController@update')->name('system.config.delete_backup');
    
    Route::get('app/config','SystemConfigController@app')->name('app.config');
    Route::post('app/config/submit','SystemConfigController@submit_app')->name('app.config.submit');

    Route::get('report/all_report','ReportController@index')->name('report.all');

    Route::post('refund','OrderController@refund_test')->name('refund');
    Route::any('send-mail-customer',[SendMailController::class,'customer'])->name('mail.customer');
    Route::any('send-notification-customer',[SendMailController::class,'customer_notification'])->name('notification.customer');

    Route::any('terms-conditions',[CMSController::class,'terms_conditions'])->name('terms_conditions');
    Route::any('privacy-policy',[CMSController::class,'privacy_policy'])->name('privacy_policy');

app/Models/Price.php
<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class Price extends Model
{

    use HasFactory, SoftDeletes;
    protected $table = 'prices';
    protected $fillable = [
        'plan_id',
        'country_id',
        'monthly_price',
        'yearly_price',
        'stripe_monthly_id',
        'stripe_yearly_id',
        'paypal_monthly_id',
        'paypal_yearly_id'
    ];

    /**
     * The attributes that should be hidden for arrays.
     *
     * @var array
     */
    protected $hidden = [
        'created_at',
        'updated_at',
        'deleted_at'
    ];

    public function plan()
    {
        return $this->belongsTo(Plan::class, 'plan_id');
    }

    public function country()
    {
        return $this->belongsTo(Country::class, 'country_id');
    }

}

resources/views/admin/pages/price/index.blade.php
@extends('admin.layouts.master')
@section('content')
<div class="container-fluid">
	<div class="row">
		<div class="col-12">
            <div class="page-title-box">
                <div class="page-title-right">
                {{ Breadcrumbs::render('adminprice')}}
                </div>
                <h4 class="page-title">{{$dateTableTitle}}</h4>
            </div>
           <div class="btn-group float-right mt-2 mb-2">
                    <a href="{{$addUrl}}"  class="btn btn-sm btn-secondary waves-effect waves-light mr-2">
                    <span class="btn-label">
                        <i class="fa fa-plus"></i>
                    </span>
                    Add
                </a>
            </div>
		</div>
	</div>
    @include('admin.include.flash-message')
	<div class="row">
		<div class="col-xl-12">
			<div class="card">
				<div class="card-body" >
					@include('admin.include.table')
				</div>
			</div>	
		</div>
	</div>
</div>


@endsection
@section('script')
@include('admin.include.table_script')
@endsection		

resources/views/admin/pages/price/post.blade.php
@extends('admin.layouts.master')
@section('content')
<div class="container-fluid">
	<div class="row">
		<div class="col-12">
            <div class="page-title-box">
                <div class="page-title-right">
                {{ Breadcrumbs::render('adminaddprice')}}
                </div>
                <h4 class="page-title">{{$pageTittle}}</h4>
            </div>
        </div>
	</div>
	<div class="row">
		<div class="col-xl-6">
			<div class="card">
				<div class="card-body" >
                <form action="{{ route('admin.price.store') }}" method="POST">
                @csrf
                @method('POST')


                    <div class="row">

                        <div class="col-12">
                            <div class="form-group">
                                <label for="plan_id">Plan<span class="text-danger">*</span></label>
                                <select class="form-control select2" name="plan_id" required data-parsley-errors-container="#plan_id_error">
                                    <option disabled selected>Select Plan</option>
                                    @foreach ($plan as $value)
                                    @php
                                    $name = $value->getTranslations('name');
                                    @endphp
                                        <option value="{{ $value->id }}" > {{ $name['en'] }} </option>
                                    @endforeach
                                </select>
                                <div id="plan_id_error"></div>
                                @error('plan_id')
                                    <div class="error">{{ $message }}</div>
                                @enderror
                            </div>
                        </div>

                        <div class="col-12">
                            <div class="form-group">
                                <label for="country_id">Country<span class="text-danger">*</span></label>
                                <select class="form-control select2" name="country_id" id="country_id" required data-parsley-errors-container="#country_id_error">
                                    <option disabled selected>Select Country</option>
                                    @foreach ($country as $value)
                                        <option value="{{ $value->id }}" data-currency="{{$value->currency->symbol}}"> {{ $value->country_name." | ".$value->currency->code." | " }} {{ ($value->currency->stripe_supported == 1)?"Stripe":""}} {{ ($value->currency->paypal_supported == 1)?" | PayPal":""}}</option>
                                    @endforeach
                                </select>
                                <div id="country_id_error"></div>
                                @error('country_id')
                                    <div class="error">{{ $message }}</div>
                                @enderror
                            </div>
                        </div>


                        <div class="col-12">
                            <div class="form-group">
                                <label for="monthly_price">Monthly Price<span class="text-danger">*</span> <small>( 30 Days )</small></label>
                                <div class="input-group">
                                  <div class="input-group-prepend">
                                    <span class="input-group-text">$</span>
                                  </div>
                                  <input type="number" class="form-control" name="monthly_price" aria-label="Amount (to the nearest dollar)" required step="0.01" data-parsley-type="number" min="1" data-parsley-min="1" id="monthly_price" data-parsley-errors-container="#monthly_price_error" placeholder="Ex. 2.99">
                                </div>
                                <div id="monthly_price_error"></div>
                                @error('monthly_price')
                                    <div class="error">{{ $message }}</div>
                                @enderror
                            </div>
                        </div>

                        <div class="col-12">
                            <div class="form-group">
                                <label for="yearly_price">Yearly Price<span class="text-danger">*</span> <small>( 365 Days )</small></label>
                                <div class="input-group">
                                  <div class="input-group-prepend">
                                    <span class="input-group-text">$</span>
                                  </div>
                                  <input type="number" class="form-control" name="yearly_price" aria-label="Amount (to the nearest dollar)" required step="0.01" data-parsley-type="number" min="1" data-parsley-min="1" id="yearly_price" data-parsley-gt="#monthly_price" data-parsley-errors-container="#yearly_price_error" placeholder="Ex. 20.99">
                                </div>
                                <div id="yearly_price_error"></div>
                                @error('yearly_price')
                                    <div class="error">{{ $message }}</div>
                                @enderror
                            </div>
                        </div>

                    </div>
                    <div class="form-group text-right m-b-0">
                        <button class="btn btn-primary waves-effect waves-light" type="submit">
                            Submit
                        </button>
                        <a href="{{ route('admin.price.index') }}" class="btn btn-secondary waves-effect m-l-5">Cancel</a>
                    </div>

                </form>

				</div>
			</div>	
		</div>
	</div>
</div>
@endsection
@section('script')
<script type="text/javascript">
    $(function() {
        $("#country_id").change(function() {
            var currency = $('option:selected', this).attr('data-currency');
            if(currency == ''){
                currency = "$";
            }
            $('.input-group-text').html(currency);
        });
    });
</script>
@endsection 

resources/views/admin/pages/price/put.blade.php
@extends('admin.layouts.master')
@section('content')
<div class="container-fluid">
	<div class="row">
		<div class="col-12">
            <div class="page-title-box">
                <div class="page-title-right">
                {{ Breadcrumbs::render('admineditprice')}}
                </div>
                <h4 class="page-title">{{$pageTittle}}</h4>
            </div>
		</div>
	</div>
	<div class="row">
		<div class="col-xl-6">
			<div class="card">
				<div class="card-body" >
                <form action="{{ route('admin.price.update',$price->id) }}" method="POST">
                @csrf
                @method('PUT')

                    <div class="row">

                        <div class="col-12">
                            <div class="form-group">
                                <label for="plan_id">Plan</label>
                                <select class="form-control select2" name="plan_id" disabled>
                                    <option disabled selected>{{ $price->plan->name }}</option>
                                </select>
                            </div>
                        </div>


                        <div class="col-12">
                            <div class="form-group">
                                <label for="country_id">Country</label>
                                <select class="form-control select2" name="country_id" disabled>
                                    <option disabled selected>{{ $price->country->country_name }}</option>
                                </select>
                            </div>
                        </div>
                        <div class="col-12">
                            <div class="form-group">
                                <label for="monthly_price">Monthly Price<span class="text-danger">*</span> <small>( 30 Days )</small></label>
                                <div class="input-group">
                                  <div class="input-group-prepend">
                                    <span class="input-group-text">{{ $price->country->currency->symbol }}</span>
                                  </div>
                                  <input type="number" class="form-control" name="monthly_price" aria-label="Amount (to the nearest dollar)" required step="0.01" data-parsley-type="number" min="1" data-parsley-min="1" id="monthly_price" data-parsley-errors-container="#monthly_price_error" placeholder="Ex. 2.99" value="{{$price->monthly_price}}">
                                </div>
                                <div id="monthly_price_error"></div>
                                @error('monthly_price')
                                    <div class="error">{{ $message }}</div>
                                @enderror
                            </div>
                        </div>

                        <div class="col-12">
                            <div class="form-group">
                                <label for="yearly_price">Yearly Price<span class="text-danger">*</span> <small>( 365 Days )</small></label>
                                <div class="input-group">
                                  <div class="input-group-prepend">
                                    <span class="input-group-text">{{ $price->country->currency->symbol }}</span>
                                  </div>
                                  <input type="number" class="form-control" name="yearly_price" aria-label="Amount (to the nearest dollar)" required step="0.01" data-parsley-type="number" min="1" data-parsley-min="1" id="yearly_price" data-parsley-gt="#monthly_price" data-parsley-errors-container="#yearly_price_error" placeholder="Ex. 20.99" value="{{$price->yearly_price}}">
                                </div>
                                <div id="yearly_price_error"></div>
                                @error('yearly_price')
                                    <div class="error">{{ $message }}</div>
                                @enderror
                            </div>
                        </div>

                    </div>

                    <div class="form-group text-right m-b-0">
                        <button class="btn btn-primary waves-effect waves-light" type="submit">
                            Submit
                        </button>
                        <a href="{{ route('admin.price.index') }}" class="btn btn-secondary waves-effect m-l-5">Cancel</a>
                    </div>

                </form>

				</div>
			</div>	
		</div>
	</div>
</div>
@endsection

resources/views/admin/pages/price/view.blade.php
@extends('admin.layouts.master')
@section('content')
<div class="container-fluid">
	<div class="row">
		<div class="col-12">
            <div class="page-title-box">
                <div class="page-title-right">
                {{ Breadcrumbs::render('adminviewprice')}}
                </div>
                <h4 class="page-title">{{$pageTittle}}</h4>
            </div>
		</div>
	</div>

	<div class="row">
		<div class="col-xl-12">
			<div class="card">
				<div class="card-body" >
                    <div class="table-responsive">
                        <table class="table table-bordered table-striped">
                            <tbody>
                            <tr>
                                <th class="text-nowrap" scope="row">Plan</th>
                                <td>{{$price->plan->name}}</td>
                            </tr>
                            <tr>
                                <th class="text-nowrap" scope="row">Country</th>
                                <td>{{$price->country->country_name ." | ". $price->country->currency->code}} - {{ ($price->country->currency->stripe_supported == 1)?"Stripe":""}} {{ ($price->country->currency->paypal_supported == 1)?" | PayPal":""}}</td>
                            </tr>
                            <tr>
                                <th class="text-nowrap" scope="row">Monthly Price <small>( 30 Days )</small></th>
                                <td>{{ $price->country->currency->symbol." ".$price->monthly_price}}</td>
                            </tr>
                            <tr>
                                <th class="text-nowrap" scope="row">Yearly Price <small>( 365 Days )</small></th>
                                <td>{{ $price->country->currency->symbol." ".$price->yearly_price}}</td>
                            </tr>
                            <tr>
                                <th class="text-nowrap" scope="row">Stripe Monthly Id</th>
                                <td>{{ $price->stripe_monthly_id }}</td>
                            </tr>
                            <tr>
                                <th class="text-nowrap" scope="row">Stripe Yearly Id</th>
                                <td>{{ $price->stripe_yearly_id }}</td>
                            </tr>
                            </tbody>
                        </table>
                    </div>
                </div>
			</div>	
		</div>
	</div>
</div>
@endsection